
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.XmJdxbgEntity;
import org.sky.scientific.pojo.vo.XmJdxbgVO;
import java.util.Objects;

/**
 * 科研项目-项目实施-阶段性报告 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-07-01
 */
public class XmJdxbgWrapper extends BaseEntityWrapper<XmJdxbgEntity, XmJdxbgVO> {

	public static XmJdxbgWrapper build() {
		return new XmJdxbgWrapper();
 	}

	@Override
	public XmJdxbgVO entityVO(XmJdxbgEntity xmJdxbg) {
		XmJdxbgVO xmJdxbgVO = Objects.requireNonNull(BeanUtil.copyProperties(xmJdxbg, XmJdxbgVO.class));

		//User createUser = UserCache.getUser(xmJdxbg.getCreateUser());
		//User updateUser = UserCache.getUser(xmJdxbg.getUpdateUser());
		//xmJdxbgVO.setCreateUserName(createUser.getName());
		//xmJdxbgVO.setUpdateUserName(updateUser.getName());

		return xmJdxbgVO;
	}


}
